Debian Bug report logs - #407555
libitpp - FTBFS: Does not use endian.h

version graph

Package: libitpp; Maintainer for libitpp is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Fri, 19 Jan 2007 14:03:07 UTC

Severity: serious

Merged with 407984

Found in versions 3.10.7-1, 3.10.8-1

Fixed in version libitpp/3.10.9-1

Done: Kumar Appaiah <akumar@ee.iitm.ac.in>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kumar Appaiah <akumar@ee.iitm.ac.in>:
Bug#407555; Package libitpp. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Kumar Appaiah <akumar@ee.iitm.ac.in>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: libitpp - FTBFS: Does not use endian.h
Date: Fri, 19 Jan 2007 15:01:07 +0100
Package: libitpp
Version: 3.10.7-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of libitpp_3.10.7-1 on lxdebian.bfinv.de by sbuild/s390 98
[...]
>  s390-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../itpp -I../.. -I../.. -DASSERT_LEVEL=1 -O3 -pipe -MT libbase_la-binfile.lo -MD -MP -MF .deps/libbase_la-binfile.Tpo -c ../../itpp/base/binfile.cpp  -fPIC -DPIC -o .libs/libbase_la-binfile.o
> In file included from ../../itpp/base/binfile.cpp:43:
> ../../itpp/base/machdep.h:192:2: error: #error "Could not determine endianity!!!"
> ../../itpp/base/binfile.cpp: In constructor 'itpp::bfstream_base::bfstream_base(itpp::bfstream_base::endian)':
> ../../itpp/base/binfile.cpp:68: error: call of overloaded 'big_endian(short int)' is ambiguous
> ../../itpp/base/machdep.h:73: note: candidates are: itpp::it_s8 itpp::big_endian(itpp::it_s8)
> ../../itpp/base/machdep.h:74: note:                 itpp::it_u8 itpp::big_endian(itpp::it_u8)
> make[5]: *** [libbase_la-binfile.lo] Error 1
> make[5]: Leaving directory `/build/buildd/libitpp-3.10.7/itpp/base'
> make[4]: *** [all-recursive] Error 1
> make[4]: Leaving directory `/build/buildd/libitpp-3.10.7/itpp/base'
> make[3]: *** [all-recursive] Error 1
> make[3]: Leaving directory `/build/buildd/libitpp-3.10.7/itpp'
> make[2]: *** [all] Error 2
> make[2]: Leaving directory `/build/buildd/libitpp-3.10.7/itpp'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/build/buildd/libitpp-3.10.7'
> make: *** [build-stamp] Error 2
> ******************************************************************************
> Build finished at 20070114-1706
> FAILED [dpkg-buildpackage died]



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#407555; Package libitpp. Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <akumar@ee.iitm.ac.in>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 407555@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <akumar@ee.iitm.ac.in>
To: Bastian Blank <waldi@debian.org>, 407555@bugs.debian.org
Subject: Re: Bug#407555: libitpp - FTBFS: Does not use endian.h
Date: Sat, 20 Jan 2007 17:52:34 +0530
[Message part 1 (text/plain, inline)]
On Fri, Jan 19, 2007 at 03:01:07PM +0100, Bastian Blank wrote:
> Package: libitpp
> Version: 3.10.7-1
> Severity: serious
> 
> There was an error while trying to autobuild your package:

I shall contact upstream, and will see what can be done to rectify
this.

Thanks.

Kumar
-- 
Kumar Appaiah,
462, Jamuna Hostel,
Indian Institute of Technology Madras,
Chennai - 600 036
[signature.asc (application/pgp-signature, inline)]

Reply sent to Kumar Appaiah <akumar@ee.iitm.ac.in>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 407555-close@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <akumar@ee.iitm.ac.in>
To: 407555-close@bugs.debian.org
Subject: Bug#407555: fixed in libitpp 3.10.8-1
Date: Sun, 21 Jan 2007 14:47:12 +0000
Source: libitpp
Source-Version: 3.10.8-1

We believe that the bug you reported is fixed in the latest version of
libitpp, which is due to be installed in the Debian FTP archive:

libitpp-dev_3.10.8-1_i386.deb
  to pool/main/libi/libitpp/libitpp-dev_3.10.8-1_i386.deb
libitpp2_3.10.8-1_i386.deb
  to pool/main/libi/libitpp/libitpp2_3.10.8-1_i386.deb
libitpp_3.10.8-1.diff.gz
  to pool/main/libi/libitpp/libitpp_3.10.8-1.diff.gz
libitpp_3.10.8-1.dsc
  to pool/main/libi/libitpp/libitpp_3.10.8-1.dsc
libitpp_3.10.8.orig.tar.gz
  to pool/main/libi/libitpp/libitpp_3.10.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 407555@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kumar Appaiah <akumar@ee.iitm.ac.in> (supplier of updated libitpp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 21 Jan 2007 00:18:02 +0530
Source: libitpp
Binary: libitpp-dev libitpp2
Architecture: source i386
Version: 3.10.8-1
Distribution: unstable
Urgency: medium
Maintainer: Kumar Appaiah <akumar@ee.iitm.ac.in>
Changed-By: Kumar Appaiah <akumar@ee.iitm.ac.in>
Description: 
 libitpp-dev - C++ library for signal processing and communication
 libitpp2   - C++ library for signal processing and communication
Closes: 407555
Changes: 
 libitpp (3.10.8-1) unstable; urgency=medium
 .
   * New upstream release
   * Patch from upstream to detect endianness
     on s390, solve build failure (Closes: #407555)
Files: 
 5d6eb73337dc9e0fbc0cdb338ae19c19 681 libs optional libitpp_3.10.8-1.dsc
 ec19cdd121b08a264023433ba42e04fa 1015388 libs optional libitpp_3.10.8.orig.tar.gz
 7e07dbf9e74063b54e4aeffc93001ae1 26165 libs optional libitpp_3.10.8-1.diff.gz
 39a6afcbcbc1de87e47a77590d91fb7f 4309584 libdevel optional libitpp-dev_3.10.8-1_i386.deb
 491aa47ee2d68718b1b3de49a9098c6c 927002 libs optional libitpp2_3.10.8-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFs3ts+C5cwEsrK54RAmbeAJ9VrIhOZjsMu7i9ty8vkEHCTrISkACfTIji
IHEr12kLufcwEQqJ/bAkp6g=
=a2FZ
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 407555 407984. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Kumar Appaiah <akumar@ee.iitm.ac.in>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 407555-close@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <akumar@ee.iitm.ac.in>
To: 407555-close@bugs.debian.org
Subject: Bug#407555: fixed in libitpp 3.10.9-1
Date: Wed, 24 Jan 2007 10:32:03 +0000
Source: libitpp
Source-Version: 3.10.9-1

We believe that the bug you reported is fixed in the latest version of
libitpp, which is due to be installed in the Debian FTP archive:

libitpp-dev_3.10.9-1_i386.deb
  to pool/main/libi/libitpp/libitpp-dev_3.10.9-1_i386.deb
libitpp2_3.10.9-1_i386.deb
  to pool/main/libi/libitpp/libitpp2_3.10.9-1_i386.deb
libitpp_3.10.9-1.diff.gz
  to pool/main/libi/libitpp/libitpp_3.10.9-1.diff.gz
libitpp_3.10.9-1.dsc
  to pool/main/libi/libitpp/libitpp_3.10.9-1.dsc
libitpp_3.10.9.orig.tar.gz
  to pool/main/libi/libitpp/libitpp_3.10.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 407555@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kumar Appaiah <akumar@ee.iitm.ac.in> (supplier of updated libitpp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Jan 2007 07:01:19 +0530
Source: libitpp
Binary: libitpp-dev libitpp2
Architecture: source i386
Version: 3.10.9-1
Distribution: unstable
Urgency: medium
Maintainer: Kumar Appaiah <akumar@ee.iitm.ac.in>
Changed-By: Kumar Appaiah <akumar@ee.iitm.ac.in>
Description: 
 libitpp-dev - C++ library for signal processing and communication
 libitpp2   - C++ library for signal processing and communication
Closes: 407555 407984
Changes: 
 libitpp (3.10.9-1) unstable; urgency=medium
 .
   * New upstream release
   * Added dependency on LAPACK, on request of upstream.
   * Modified to (hopefully) detect endianness on
     hppa, m68k, mips and mipsel (Closes: #407555, #407984)
Files: 
 caa6946747b5568a50d0444418f66973 694 libs optional libitpp_3.10.9-1.dsc
 af16f3000933c64cd2a5d94041fcd168 1016300 libs optional libitpp_3.10.9.orig.tar.gz
 3b7a03e29ac032a5142d4f25a93b5ce6 25713 libs optional libitpp_3.10.9-1.diff.gz
 aa34a3040b6a96c5fe1a9649db63c62c 4297012 libdevel optional libitpp-dev_3.10.9-1_i386.deb
 229ba79d29cd778fe4e200fa9486d39a 938236 libs optional libitpp2_3.10.9-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFtzEV+C5cwEsrK54RAvbFAKCi72Dy8YTzshlGtIuDTrYETUmTeQCaA0jt
Njb/AE7NHh5mZsbJeVnVDok=
=ui9u
-----END PGP SIGNATURE-----




Reply sent to Kumar Appaiah <akumar@ee.iitm.ac.in>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to lamont@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 23:35:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:36:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.